%define module_name POE-Component-Proxy-SOCKS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Net/Netmask.pm) perl(POE.pm) perl(POE/Component/Client/DNS.pm) perl(POE/Component/Client/Ident.pm) perl(POE/Filter/Stream.pm) perl(POE/Wheel/ReadWrite.pm) perl(POE/Wheel/SocketFactory.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: A POE based SOCKS 4 proxy server.
Group: Development/Perl
License: perl
URL: https://github.com/bingos/poe-component-proxy-socks

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
POE::Component::Proxy::SOCKS is a the POE manpage component that implements a SOCKS version 4/4a.proxy server. It has IP address based access controls, provided by the Net::Netmask manpage, and
can use IDENT to further confirm user identity.

POE sessions may register with the SOCKS component to receive events relating to 
connections etc. 

The poco supports both SOCKS CONNECT and SOCKS BIND commands.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes.old README Changes examples
%perl_vendor_privlib/P*

%changelog
* Thu Mar 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

